#
# spec file for package kvazaar
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kvazaar
Version:        1.0.0
Release:        1.1
Summary:        H.265/HEVC video encoder
License:        LGPL-2.1
Group:          Productivity/Multimedia/Video/Editors and Convertors
Url:            http://ultravideo.cs.tut.fi/#encoder
Source0:        %{name}-%{version}.tar.gz
BuildRequires:	gcc-c++
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  yasm
BuildRequires:	git
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
An open source H.265/HEVC video encoder developed by the Ultra Video Group
of Tampere University of Technology, Finland.

%package -n %{name}-devel
Summary:        Include files for kvazaar
Group:          Development/Libraries/C and C++
BuildRequires:  pkg-config
Requires:       %{name} = %{version}-%{release}
Obsoletes:      %{name}-devel < %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{name}-devel
This package provides the development header files for kvazaar.

%prep
%setup -q

%build
./autogen.sh
%configure --prefix=%{_prefix} --disable-static
make %{?_smp_mflags}

%install
%make_install

find %{buildroot} -type f -name "*.la" -delete -print
rm -rf %{buildroot}%{_datadir}/doc/%{name}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/*.so.*
%{_mandir}/man1/*
%doc COPYING CREDITS README.md

%files -n %{name}-devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*.h

%changelog
* Sun Oct 30 2016 neutrino8@gmail.com
- Use stable tag instead of master
* Fri Oct 28 2016 neutrino8@gmail.com
- Fix package group in spec file
* Fri Oct 28 2016 neutrino8@gmail.com
- Initial package
